Name:           gnome-applet-netspeed    
Version:        0.14
Release:        2%{?dist}
Summary:        GNOME applet that shows traffic on a network device

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.wh-hms.uni-ulm.de/~mfcn/netspeed/
Source0:        http://www.wh-hms.uni-ulm.de/~mfcn/netspeed/packages/netspeed_applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig, gettext, scrollkeeper, intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:  libgnomeui-devel >= 2.8, libgtop2-devel
BuildRequires:  gnome-panel-devel >= 2.8, libnotify-devel
BuildRequires:  gnome-doc-utils

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Provides:       netspeed_applet = %{version}-%{release}
Obsoletes:      netspeed_applet <= 0.12.1

%description
netspeed is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%prep
%setup -q -n netspeed_applet-%{version}

%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang netspeed_applet

%post
scrollkeeper-update -q -o %{_datadir}/omf/netspeed_applet || : 

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f netspeed_applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%doc %{_datadir}/gnome/help/netspeed_applet/
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/netspeed_applet/

%changelog
* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.14-2
- Adjusted License tag as per latest guidelines

* Wed Jul 11 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.14-1
- Updated to 0.14
- Cleaned up the spec a bit

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-6
- Add newly required BuildRequires

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-6
- Rebuild for Fedora Extras 6

* Mon Feb 13 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-5
- Rebuild for Fedora Extras 5

* Mon Jan 09 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-4
-Proper soname rebuild

* Mon Jan 09 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-3
- Rebuild for libgtop soname change

* Wed Sep 21 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-2
- Proper buildreps this time

* Tue Sep 20 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.13-1
- Bump to 0.13

* Thu Jun 16 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-3
- Removing spec-defined dist 

* Mon Apr 25 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-2
- Adding dist tag

* Thu Apr 21 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-1
- Initial Fedora RPM release
